// vim: et:ts=4:sw=4:sts=4:ft=js
// fixme: wouldn't it be better to let the elements be,
// rather then $element, $content, and potentially others,
// 0, 1, 2, etc, so that append would append 0, and appendTo
// would append (length - 1)?

/*@
Ox.Container <f> Container (depricated)
    () ->              <o> Container object
    (options) ->       <o> Container object
    (options, self) -> <o> Container object
    options <o> Options object
    self    <o> Shared private variable
@*/
Ox.Container = function(options, self) {
    // fixme: to be deprecated
    var that = new Ox.Element({}, self)
        .options(options || {})
        .addClass('OxContainer');
    that.$content = new Ox.Element({}, self) // fixme: passing self twice??
        .options(options || {})
        .addClass('OxContent')
        .appendTo(that);
    return that;
};
